package parkomat.tests.model;

import static org.junit.Assert.*;

import java.time.Month;

import org.junit.Test;

import parkomat.model.ItMonth;

public class ItMonthTest {

	@Test
	public void testFromItMonthToMonth() {
		assertEquals(Month.JANUARY, ItMonth.toMonth(ItMonth.Gennaio.toString()));
		assertEquals(Month.FEBRUARY, ItMonth.toMonth(ItMonth.Febbraio.toString()));
		assertEquals(Month.MARCH, ItMonth.toMonth(ItMonth.Marzo.toString()));
		assertEquals(Month.APRIL, ItMonth.toMonth(ItMonth.Aprile.toString()));
		assertEquals(Month.MAY, ItMonth.toMonth(ItMonth.Maggio.toString()));
		assertEquals(Month.JUNE, ItMonth.toMonth(ItMonth.Giugno.toString()));
		assertEquals(Month.JULY, ItMonth.toMonth(ItMonth.Luglio.toString()));
		assertEquals(Month.AUGUST, ItMonth.toMonth(ItMonth.Agosto.toString()));
		assertEquals(Month.SEPTEMBER, ItMonth.toMonth(ItMonth.Settembre.toString()));
		assertEquals(Month.OCTOBER, ItMonth.toMonth(ItMonth.Ottobre.toString()));
		assertEquals(Month.NOVEMBER, ItMonth.toMonth(ItMonth.Novembre.toString()));
		assertEquals(Month.DECEMBER, ItMonth.toMonth(ItMonth.Dicembre.toString()));
	}

	@Test
	public void testFromMonthToItMonth() {
		assertEquals(ItMonth.Gennaio, ItMonth.toItMonth(Month.JANUARY));
		assertEquals(ItMonth.Dicembre, ItMonth.toItMonth(Month.DECEMBER));
	}

}
