package parkomat.ui.controller;

import java.time.LocalDate;

import javafx.collections.ObservableList;
import javafx.scene.control.Alert;
import javafx.scene.control.Alert.AlertType;
import parkomat.model.Ticket;

public interface Controller
{
	public ObservableList<String> getNomiTariffe();
	
	public static void alert(String title, String headerMessage, String contentMessage) {
		Alert alert = new Alert(AlertType.ERROR);
		alert.setTitle(title);
		alert.setHeaderText(headerMessage);
		alert.setContentText(contentMessage);
		alert.showAndWait();
	}
	
	public Ticket emitTicket(String nomeTariffa, LocalDate dataInizio, String oraInizio, LocalDate dataFine, String oraFine);
}
